<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="arm.toolchain.gcc.target.exe.debug.1220786075">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.debug.1220786075" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.debug.1220786075" name="Debug" parent="arm.toolchain.gcc.target.exe.debug">
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.1220786075." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.debug.664621193" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" targetTool="arm.toolchain.gcc.c.linker">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.1035566180" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/manual_test}/Debug" id="arm.toolchain.builder.base.1253750099" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.454879881" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.755905040" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo"/>
								<option id="arm.assembler.option.preprocessdefs.121399690" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.817462061" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.634412169" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.1206570756" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.1329574309" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<inputType id="arm.toolchain.assembler.base.input.603029751" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.199767599" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.1135617872" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.907906061" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.1795423181" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.base.compiler.option.preprocessdefs.430893247" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="USE_CCES"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.base.compiler.option.include.paths.403890658" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.282483024" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1823337808" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1521446496" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1766905585" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.warningaserror.250023466" name="Warnings as errors (-Werror)" superClass="arm.base.compiler.option.warningaserror" value="true" valueType="boolean"/>
								<option id="arm.base.compiler.option.additionaloptions.1270251907" name="Additional options:" superClass="arm.base.compiler.option.additionaloptions"/>
								<inputType id="arm.toolchain.gcc.c.input.1342722296" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1594524301" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.1699095626" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.46225527" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.1813189691" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.275695493" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.377321708" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.2119152928" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.1608525105" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.1166985667" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.1451864416" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.base.compiler.option.preprocessdefs.1731394920" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.base.compiler.option.include.paths.327838423" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.375510367" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.918226761" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1999817036" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.toolchain.cpp.compiler.option.coreid.278967199" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.1902764491" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.119470368" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1113126004" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.95070891" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1511024494" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.1044199391" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.1598524769" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.1901011475" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.1007209394" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.1220786075.system" name="system" resourcePath="system">
						<toolChain id="arm.gcc.toolchain.1943650548" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.1679073087" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.454879881">
								<inputType id="arm.toolchain.assembler.base.input.1843734839" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.59849924" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.199767599">
								<inputType id="arm.toolchain.gcc.c.input.1491058791" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.59614512" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.1594524301"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.1531260205" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.2119152928"/>
							<tool id="arm.toolchain.gcc.cpp.linker.929092728" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.1902764491"/>
							<tool id="arm.toolchain.gcc.archiver.634937437" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.1044199391"/>
							<tool id="arm.loader.1431870492" name="ARM Loader Base" superClass="arm.loader.1598524769"/>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.1220786075.1526479601" name="/" resourcePath="Driver">
						<toolChain id="arm.gcc.toolchain.1350137238" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.116882469" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.454879881">
								<inputType id="arm.toolchain.assembler.base.input.1066414091" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.294945130" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.199767599">
								<inputType id="arm.toolchain.gcc.c.input.2008189968" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.372847762" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.1594524301"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.678646820" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.2119152928"/>
							<tool id="arm.toolchain.gcc.cpp.linker.1216910574" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.1902764491"/>
							<tool id="arm.toolchain.gcc.archiver.369606056" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.1044199391"/>
							<tool id="arm.loader.1172082120" name="ARM Loader Base" superClass="arm.loader.1598524769"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="Driver|system" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="arm.toolchain.gcc.target.exe.release.1105016478">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.release.1105016478" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.release.1105016478" name="Release" parent="arm.toolchain.gcc.target.exe.release">
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1105016478." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.release.1990169958" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" targetTool="arm.toolchain.gcc.c.linker">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.966570266" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/manual_test}/Release" id="arm.toolchain.builder.base.1383144568" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.147914651" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.2130108293" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo" value="false" valueType="boolean"/>
								<option id="arm.assembler.option.preprocessdefs.2046805912" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.656417075" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.759497708" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.944799481" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.1685623906" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<inputType id="arm.toolchain.assembler.base.input.397114731" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.727596057" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.1289600700" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.36415001" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.1722930923" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.base.compiler.option.preprocessdefs.1451675840" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="USE_CCES"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.base.compiler.option.include.paths.1670919626" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.845250213" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1107116544" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.728223343" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1411508841" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<inputType id="arm.toolchain.gcc.c.input.990768790" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1058141613" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.1289432500" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1116203389" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.930496246" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1044347774" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.548922303" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.1992361578" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.1047879175" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.213126935" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.987976797" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.base.compiler.option.preprocessdefs.892850496" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.base.compiler.option.include.paths.1954360483" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.2144497034" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.2060328344" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1593186765" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1000360243" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.515739666" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.1990053440" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value=" cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.59288153" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.977216482" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1667247425" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.280284658" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.1453409902" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.712703039" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.424396479" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1105016478.system" name="system" resourcePath="system">
						<toolChain id="arm.gcc.toolchain.1254940245" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.972299871" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.147914651">
								<inputType id="arm.toolchain.assembler.base.input.231488262" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.522505160" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.727596057">
								<inputType id="arm.toolchain.gcc.c.input.1602055728" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1693055132" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.1058141613"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.2054150825" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.1992361578"/>
							<tool id="arm.toolchain.gcc.cpp.linker.428991142" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.515739666"/>
							<tool id="arm.toolchain.gcc.archiver.1567475686" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.280284658"/>
							<tool id="arm.loader.944317093" name="ARM Loader Base" superClass="arm.loader.1453409902"/>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1105016478.1275792127" name="/" resourcePath="Driver">
						<toolChain id="arm.gcc.toolchain.83261916" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.1166490941" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.147914651">
								<inputType id="arm.toolchain.assembler.base.input.247028400" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.1670706233" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.727596057">
								<inputType id="arm.toolchain.gcc.c.input.1421622642" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.45201745" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.1058141613"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.1424778808" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.1992361578"/>
							<tool id="arm.toolchain.gcc.cpp.linker.868477316" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.515739666"/>
							<tool id="arm.toolchain.gcc.archiver.1845235145" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.280284658"/>
							<tool id="arm.loader.1162270696" name="ARM Loader Base" superClass="arm.loader.1453409902"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="Driver|system" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="manual_test.arm.toolchain.gcc.target.exe.1520256075" name="GCC ARM Embedded Executable Project" projectType="arm.toolchain.gcc.target.exe"/>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="org.eclipse.cdt.core.language.mapping">
		<project-mappings>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.asmSource" language="com.analog.crosscore.ui.asm.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cHeader" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cSource" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxHeader" language="org.eclipse.cdt.core.c++.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxSource" language="org.eclipse.cdt.core.c++.adi.extension"/>
		</project-mappings>
	</storageModule>
	<storageModule moduleId="com.arm.cmsis.project">
		<rteConfig name="system.rteconfig"/>
		<toolChainAdapter id="com.analog.crosscore.cmsis.pack.build.gcc.toolChainAdapter" name="CrossCore GCC ARM Embedded Toolchain Adapter"/>
		<device Dclock="52000000" Dcore="Cortex-M4" DcoreVersion="r0p1" Dendian="Little-endian" Dfamily="ADuCM4x50 Series" Dfpu="SP_FPU" Dmpu="MPU" Dname="ADuCM4050" Dvendor="Analog Devices:1" Pname=""/>
		<files>
			<file name="RTE/Device/ADuCM4050/system_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_wdt_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_cycle_counting_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/startup_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/ADuCM4050.ld" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_i2c_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_global_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_pwr_config.h" version="1.0.0"/>
		</files>
	</storageModule>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="/manual_test"/>
		</configuration>
		<configuration configurationName="Release">
			<resource resourceType="PROJECT" workspacePath="/manual_test"/>
		</configuration>
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="arm.toolchain.gcc.target.exe.release.1105016478;arm.toolchain.gcc.target.exe.release.1105016478.;arm.toolchain.gcc.c.compiler.727596057;arm.toolchain.gcc.c.input.990768790">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="arm.toolchain.gcc.target.exe.debug.1220786075;arm.toolchain.gcc.target.exe.debug.1220786075.;arm.toolchain.gcc.c.compiler.199767599;arm.toolchain.gcc.c.input.1342722296">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
	</storageModule>
</cproject>
